Subject: [bug#45727] [PATCH] gnu: folly: Update to 2021.01.04.00.

From: Greg Hogan <[email-masked]>
Date: Tue, 26 Jan 2021 16:55:19 -0500

Turns out this was an issue with Boost 1.75 (which I had patched over from
core-updates, requiring the C++20 support). I feel like I might as well
post the simple Folly version bump here and the core-updates Boost patch in
the following reply. Not sure when core-updates will be merged or if Boost
1.76 will be out by then.

>From 334fc83ae2a3d92ba7813150709532b252592817 Mon Sep 17 00:00:00 2001
From: Greg Hogan <[email-masked]>
Date: Thu, 7 Jan 2021 21:54:37 +0000
Subject: [PATCH] gnu: folly: Update to 2021.01.25.00.

* gnu/packages/cpp.scm (folly): Update to 2021.01.25.00.
---
 gnu/packages/cpp.scm | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/cpp.scm b/gnu/packages/cpp.scm
index ca8f7a9f80..73a3ceb2df 100644
--- a/gnu/packages/cpp.scm
+++ b/gnu/packages/cpp.scm
@@ -14,7 +14,7 @@
 ;;; Copyright © 2020 Marius Bakke <[email-masked]>
 ;;; Copyright © 2020 Michael Rohleder <[email-masked]>
 ;;; Copyright © 2020 Alexandros Theodotou <[email-masked]>
-;;; Copyright © 2020 Greg Hogan <[email-masked]>
+;;; Copyright © 2020, 2021 Greg Hogan <[email-masked]>
 ;;; Copyright © 2020 Brett Gilio <[email-masked]>
 ;;;
 ;;; This file is part of GNU Guix.
@@ -689,7 +689,7 @@ standard GNU style syntax for options.")
 (define-public folly
   (package
     (name "folly")
-    (version "2020.10.05.00")
+    (version "2021.01.25.00")
     (source (origin
               (method git-fetch)
               (uri (git-reference
@@ -698,7 +698,7 @@ standard GNU style syntax for options.")
               (file-name (git-file-name name version))
               (sha256
                (base32
-                "0q4w4cvjxffc462hvs8h4zryq4965j7015zvkwagcm6cj6wmz3cn"))))
+                "14dl1g6vf7mc90mcync5h2lp14fwcx8n9h91pmiq6rfgv1fjjrwz"))))
     (build-system cmake-build-system)
     (arguments
      '(;; Tests must be explicitly enabled
-- 
2.30.0

On Tue, Jan 19, 2021 at 9:59 AM Ludovic Courtès <[email-masked]> wrote:

> Hi Greg,
>
> Greg Hogan <[email-masked]> skribis:
>
> > I went to build folly against core-updates and the link failed due to
> > missing dependencies on libicu*. This patch also updates the folly
> version.
> >
> >
> >>From e710c98a2f5beef9d8640bf3618ae20bd12c12f7 Mon Sep 17 00:00:00 2001
> > From: Greg Hogan <[email-masked]>
> > Date: Thu, 7 Jan 2021 21:54:37 +0000
> > Subject: [PATCH] gnu: folly: Update to 2021.01.04.00.
> >
> > * gnu/packages/cpp.scm (folly): Update to 2021.01.04.00.
> > [propagated-inputs]: Add icu4c.
>
> If there’s a reason to propagate ICU4C, could you state it in a comment?
> Otherwise, can we just move it to ‘inputs’?
>
> Apart from that it LGTM, and it’s applicable to ‘master’.
>
> Could you send an updated patch?
>
> Thanks,
> Ludo’.
>